textproc/tex-lwarp - The NetBSD Packages Collection

Converts LaTeX to HTML

The package causes LaTeX to directly produce HTML5 output,
using external utility programs only for the final conversion
of text and images. Math may be represented by SVG files or
MathJax. Documents may be produced by LaTeX, LuaLaTeX, or
XeLaTeX. A texlua script removes the need for system utilities
such as make and gawk, and also supports xindy and latexmk.
Configuration is automatic at the first manual compile. Print
and HTML versions of each document may coexist, each with its
own set of auxiliary files. Support files are self-generated on
request. Assistance is provided for HTML import into EPUB
conversion software and word processors.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

print/poppler-utils print/tex-luatex graphics/tex-pdfcrop textproc/tex-xindy print/luatex print/kpathsea

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftex-lwarp-0.85.tgz
NetBSD 8.0earmv7hftex-lwarp-0.85.tgz
NetBSD 8.0i386tex-lwarp-0.85.tgz
NetBSD 8.0i386tex-lwarp-0.85.tgz
NetBSD 8.0i386tex-lwarp-0.894.tgz
NetBSD 8.0powerpctex-lwarp-0.85.tgz
NetBSD 8.0powerpctex-lwarp-0.894.tgz
NetBSD 8.0powerpctex-lwarp-0.85.tgz
NetBSD 8.0powerpctex-lwarp-0.894.tgz
NetBSD 8.0x86_64tex-lwarp-0.894.tgz
NetBSD 8.0x86_64tex-lwarp-0.85.tgz
NetBSD 8.0x86_64tex-lwarp-0.85.tgz
NetBSD 9.0earmtex-lwarp-0.894.tgz
NetBSD 9.0earmv6hftex-lwarp-0.85.tgz
NetBSD 9.0earmv6hftex-lwarp-0.85.tgz
NetBSD 9.0earmv7hftex-lwarp-0.85.tgz
NetBSD 9.0earmv7hftex-lwarp-0.894.tgz
NetBSD 9.0i386tex-lwarp-0.85.tgz
NetBSD 9.0i386tex-lwarp-0.85.tgz
NetBSD 9.0i386tex-lwarp-0.894.tgz
NetBSD 9.0powerpctex-lwarp-0.85.tgz
NetBSD 9.0powerpctex-lwarp-0.85.tgz
NetBSD 9.0powerpctex-lwarp-0.894.tgz
NetBSD 9.0powerpctex-lwarp-0.894.tgz
NetBSD 9.0x86_64tex-lwarp-0.85.tgz
NetBSD 9.0x86_64tex-lwarp-0.85.tgz
NetBSD 9.0x86_64tex-lwarp-0.85.tgz
NetBSD 9.0x86_64tex-lwarp-0.894.tgz
NetBSD 9.0x86_64tex-lwarp-0.85.tgz
NetBSD 9.0x86_64tex-lwarp-0.85.tgz
NetBSD 9.0x86_64tex-lwarp-0.894.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.